Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libnfsidmap
#Epoch:		0
Version:	0.23
Release:	1
License:	BSD
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Group:		Networking/Library
Summary:	name to user id mapping library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:
BuildRequires: cyrus-sasl-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: openldap-devel
BuildRequires: pkg-config

%description
libnfsidmap is a library holding mulitiple methods of mapping names to id's and visa versa, mainly for NFSv4.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libnfsidmap/nsswitch.so
%{_libdir}/libnfsidmap.so.*
%{_libdir}/libnfsidmap/static.so
%{_libdir}/libnfsidmap/umich_ldap.so
%{_mandir}/man5/idmapd.conf.5.gz

%files devel
%defattr(-,root,root)
%{_includedir}/nfsidmap.h
%{_libdir}/libnfsidmap.a
%{_libdir}/libnfsidmap.la
%{_libdir}/libnfsidmap/nsswitch.a
%{_libdir}/libnfsidmap/nsswitch.la
%{_libdir}/libnfsidmap.so
%{_libdir}/libnfsidmap/static.a
%{_libdir}/libnfsidmap/static.la
%{_libdir}/libnfsidmap/umich_ldap.a
%{_libdir}/libnfsidmap/umich_ldap.la
%{_pkgconfig}/libnfsidmap.pc
%{_mandir}/man3/nfs4_uid_to_name.3.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue May 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.23-1
- version update
- recovered package from damaged PDB upload
* Fri Aug 14 2009 Christian Wasem <wasem@ccux-linux.de> 0.22-1
- initial CCux package release
